Loading...
Searching...
No Matches
RDKit::v2::FileParsers::TDTMolSupplier Class Reference

lazy file parser for TDT files More...

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::v2::FileParsers::TDTMolSupplier:

## Public Types

using | iterator = RandomAccessSupplierIter<TDTMolSupplier>
using | reverse_iterator = std::reverse_iterator<iterator>

## Public Member Functions

| TDTMolSupplier (const std::string &fileName, const TDTMolSupplierParams &params=TDTMolSupplierParams())
| TDTMolSupplier (std::istream *inStream, bool takeOwnership=true, const TDTMolSupplierParams &params=TDTMolSupplierParams())
| TDTMolSupplier ()
| ~TDTMolSupplier () override
void | setData (const std::string &text, const TDTMolSupplierParams &params=TDTMolSupplierParams())
void | init () override
void | reset () override
std::unique_ptr< RWMol > | next () override
bool | atEnd () override
void | moveTo (unsigned int idx)
std::unique_ptr< RWMol > | operator[] (unsigned int idx)
std::shared_ptr< RWMol > | getShared (unsigned int idx)
std::string | getItemText (unsigned int idx)
| returns the text block for a particular item
unsigned int | length ()
iterator | begin ()
iterator | end ()
reverse_iterator | rbegin ()
reverse_iterator | rend ()
void | setCaching (bool val)
bool | getCaching () const
Public Member Functions inherited from RDKit::v2::FileParsers::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()
virtual void | close ()

## Additional Inherited Members

Protected Member Functions inherited from RDKit::v2::FileParsers::MolSupplier
std::istream * | openAndCheckStream (const std::string &filename)
Protected Attributes inherited from RDKit::v2::FileParsers::MolSupplier
std::istream * | dp_inStream = nullptr
bool | df_owner = false

## Detailed Description

lazy file parser for TDT files

Definition at line 561 of file MolSupplier.h.

## Member Typedef Documentation

## iterator

using RDKit::v2::FileParsers::TDTMolSupplier::iterator = RandomAccessSupplierIter<TDTMolSupplier>

Definition at line 574 of file MolSupplier.h.

## reverse_iterator

using RDKit::v2::FileParsers::TDTMolSupplier::reverse_iterator = std::reverse_iterator<iterator>

Definition at line 575 of file MolSupplier.h.

## Constructor & Destructor Documentation

## TDTMolSupplier() [1/3]

RDKit::v2::FileParsers::TDTMolSupplier::TDTMolSupplier | ( | const std::string & | fileName,
|  | const TDTMolSupplierParams & | params = TDTMolSupplierParams() )

explicit

Parameters

  fileName | - the name of the TDT file
  params | - TDTMolSupplierParams object controlling how the file itself and the individual records are parsed.

## TDTMolSupplier() [2/3]

RDKit::v2::FileParsers::TDTMolSupplier::TDTMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = true,
|  | const TDTMolSupplierParams & | params = TDTMolSupplierParams() )

explicit

## TDTMolSupplier() [3/3]

RDKit::v2::FileParsers::TDTMolSupplier::TDTMolSupplier | ( |  | ) |

## ~TDTMolSupplier()

RDKit::v2::FileParsers::TDTMolSupplier::~TDTMolSupplier | ( |  | ) |

inline override

Definition at line 589 of file MolSupplier.h.

References RDKit::v2::FileParsers::MolSupplier::close().

## Member Function Documentation

## atEnd()

bool RDKit::v2::FileParsers::TDTMolSupplier::atEnd | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## begin()

iterator RDKit::v2::FileParsers::TDTMolSupplier::begin | ( |  | ) |

inline

Definition at line 607 of file MolSupplier.h.

Referenced by rend().

## end()

iterator RDKit::v2::FileParsers::TDTMolSupplier::end | ( |  | ) |

inline

Definition at line 608 of file MolSupplier.h.

References length().

Referenced by rbegin().

## getCaching()

bool RDKit::v2::FileParsers::TDTMolSupplier::getCaching | ( |  | ) | const

inline

Definition at line 613 of file MolSupplier.h.

## getItemText()

std::string RDKit::v2::FileParsers::TDTMolSupplier::getItemText | ( | unsigned int | idx | ) |

returns the text block for a particular item

Parameters

  idx | - which item to return

## getShared()

std::shared_ptr< RWMol > RDKit::v2::FileParsers::TDTMolSupplier::getShared | ( | unsigned int | idx | ) |

## init()

void RDKit::v2::FileParsers::TDTMolSupplier::init | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## length()

unsigned int RDKit::v2::FileParsers::TDTMolSupplier::length | ( |  | ) |

Referenced by end().

## moveTo()

void RDKit::v2::FileParsers::TDTMolSupplier::moveTo | ( | unsigned int | idx | ) |

## next()

std::unique_ptr< RWMol > RDKit::v2::FileParsers::TDTMolSupplier::next | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## operator[]()

std::unique_ptr< RWMol > RDKit::v2::FileParsers::TDTMolSupplier::operator[] | ( | unsigned int | idx | ) |

## rbegin()

reverse_iterator RDKit::v2::FileParsers::TDTMolSupplier::rbegin | ( |  | ) |

inline

Definition at line 609 of file MolSupplier.h.

References end().

## rend()

reverse_iterator RDKit::v2::FileParsers::TDTMolSupplier::rend | ( |  | ) |

inline

Definition at line 610 of file MolSupplier.h.

References begin().

## reset()

void RDKit::v2::FileParsers::TDTMolSupplier::reset | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## setCaching()

void RDKit::v2::FileParsers::TDTMolSupplier::setCaching | ( | bool | val | ) |

inline

Definition at line 612 of file MolSupplier.h.

## setData()

void RDKit::v2::FileParsers::TDTMolSupplier::setData | ( | const std::string & | text,
|  | const TDTMolSupplierParams & | params = TDTMolSupplierParams() )

The documentation for this class was generated from the following file:

- MolSupplier.h